import * as react_jsx_runtime from 'react/jsx-runtime';
import { LiveRegionTypes } from '@versini/ui-types';

/**
 * The `LiveRegion` component abstracts the logic for
 * rendering live region content that consistently announces
 * across assistive technologies (e.g. JAWS, VoiceOver,
 * NVDA).
 */
declare function LiveRegion({ children, className, politeness: politenessProp, role, announcementDelay, clearAnnouncementDelay, onAnnouncementClear, visible, ...otherProps }: LiveRegionTypes.Props): react_jsx_runtime.JSX.Element;

export { LiveRegion };
